Subject: bug#31966: 27.0.50; auto-complete candidates aren't aligned properly

From: Eli Zaretskii <[email-masked]>
Date: Mon, 25 Jun 2018 22:16:39 +0300

> From: John Shahid <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 25 Jun 2018 19:10:45 +0000
> 
> >   (line-number-display-width 'columns)
> 
> Thanks for the explanation. I opened a PR on the popup-el github
> repository https://github.com/auto-complete/popup-el/pull/116. The PR
> does something similar to the following
> 
>      (if (functionp 'line-number-display-width) (setq column ...))
> 
> is that an acceptable approach or should I use the emacs-major-version
> instead ?

Testing for features is better than testing for Emacs versions.
However, I would also suggest to call line-number-display-width only
of display-line-numbers is non-nil (in addition to the fboundp test).